# Rancher Dynamic Content
version: 1 # Format version, in case we need to change in the future
# Latest releases
releases:
  # We only need to track the most recent patch releases for community and prime
  rancher:
    community:
    - name: 2.10.3
    - name: 2.11.2
    - name: 2.12.0
    prime:
    - name: 2.8.16
    - name: 2.9.10
    - name: 2.10.6
    - name: 2.11.2
# Support metadata to drive notifications about EOM and EOL
# Use semver expressions to keep the data simpler
support:
  status:
    rancher:
      community:
        active: 2.11
        eom: <=2.11
      prime:
        active: 2.11, 2.10  # Could omit active and derive this from eom and eol
        eom: 2.9, 2.8
        eol: <=2.7
  # Optional metadata about upcoming eom/eol dates
  # This drives notification-in-advance in the UI
  upcoming:
    rancher:
      community:
      - version: 2.9
        eom: yyyy-mm-dd
      - version: 2.8
        eol: yyyy-mm-dd

# Announcements authored by Product Mktg
# or CVE announcements provided by the Rancher Security team
# Can be shown on the homepage or in the notification center (specified by 'target')
# For notifications, a level of 'info', 'warning' or 'critical' can be added ot the 'target' to control the notification level (default is announcement)
announcements:
- title: title
  message: message
  link: href
  validity:
    from: yyyy-mm-dd
    to: yyyy-mm-dd
  for: admin
  distribution: prime
  version: '>2.9' # Optional semver range - defaults to show for all versions if not specified
  target: homepage
- title: SUSE Recognized as a Leader in 2024 for Container Management
  message: We are thrilled to announce that Gartner, Inc., has positioned us in the Leaders’ quadrant of the “Magic Quadrant for Container Management” for our Rancher Prime product.
  cta:
    primary:
      action: Learn More
      link: https://www.suse.com/c/suse-recognized-as-a-leader-in-2024-gartner-magic-quadrant-for-container-management
    secondary:
      action: Rancher Prime
      link: https://www.suse.com/products/rancher/
  validity:
    from: 2025-06-01
    to: 2025-06-30
  for: admin # Defaults to all users if not specified
  distribution: prime
  version: '>2.9' # Optional semver range - defaults to show for all versions if not specified
  target: notification/announcement
- title: CVE title
  message: CVE message
  cta:
    primary:
      action: Learn More
      link: href
  validity:
    from: yyyy-mm-dd
    to: yyyy-mm-dd
  for: admin
  distribution: prime
  version: '>2.9' # Optional semver range - defaults to show for all versions if not specified
  target: notification/warning
  
# Suppose we post an announcement and we put it into the notification center - this data allows
# us to post removals, so we would remove notifications stored with this IDs
# remove:
#   - <ID1>
#   - <ID2>

# We might find that polling for updates every day is problematic, so we can change this via
# this section
settings:
  # poll: <days>
  releaseNotesUrl: https://github.com/rancher/rancher/releases/tag/$version

